use crate::condition::Condition;

#[derive(Clone)]
pub enum Conjunction {
    And,
    Or,
}

#[derive(Clone)]
pub enum Node {
    Cond(Condition),
    Group(Group),
}

#[derive(Clone)]
pub struct Group {
    pub conjunction: Conjunction,
    pub nodes: Vec<Node>,
}
